	clear all
	clc
	Wc1 = 12000; Wc2 = 45000;
	% Requirement for the bandstop filter
	Ws1 = 25000; Ws2 = 26000;
	Amax = 0.28; Amin = 60;
	% Modify band edges if needed
	if Wc1*Wc2 >= Ws1*Ws2;
		Ws2 = Wc1*Wc2/Ws1;
	else
		Ws1 = Wc1*Wc2/Ws2;
	end
	WI2 = Wc1*Wc2;
	% Requirements for lowpass filter
	Omegac = WI2/(Wc2 - Wc1)
	Omegas = WI2/(Ws2 - Ws1)
	% Synthesis of lowpass filter (Cauer)
	NLP = CA_ORDER(Omegac, Omegas, Amax, Amin)
	NLP = 3; % Select next higher integer
	[GLP, ZLP, R_ZEROSLP, PLP, Wsnew] = CA_POLES(Omegac, Omegas, Amax, Amin, NLP);
	QLP = -abs(PLP)./(2*real(PLP))
	% Transform the lowpass to a bandstop filter
	[GBS, ZBS, PBS] = PZ_2_G_SYM_BS_S(GLP, ZLP, PLP, WI2);
	QBS = -abs(PBS)./(2*real(PBS))
	figure(1)
	PLOT_PZ_S(ZBS, PBS, 0,0, -50000, 10000, 50000);
	alfa = linspace(pi/2, 3*pi/2, 200);
	plot(Wc1*cos(alfa), Wc1*sin(alfa),'-','linewidth', 1);
	plot(Wc2*cos(alfa), Wc2*sin(alfa),'-','linewidth', 1);
	plot(Ws1*cos(alfa), Ws1*sin(alfa),'-','linewidth', 1);
	plot(Ws2*cos(alfa), Ws2*sin(alfa),'-','linewidth', 1);
	N = 2*NLP % The BS filter has the order 2*NLP
	ZBS
	PBS
	GBS
	W = [0:10:100000];
	H = PZ_2_FREQ_S(GBS, ZBS, PBS, W);
	figure(2)
	axis_Amax = 80; axis_Tg_max = 0.8*10^-3;
	Att = MAG_2_ATT(H); % Compute the attenuation
	Tg = PZ_2_TG_S(GBS, ZBS, PBS, W); % Compute the group delay
	PLOT_A_TG_S(Att, Tg, W, axis_Amax, axis_Tg_max);
	set(gca, 'FontName', 'times', 'FontSize', 16);
	xtick([0:10000:100000])
