clear all
clc
% POLE_PLACER_BP_MF_S with maximally flat passband
Amax = 0.5;
Wc1 = 3; Wc2 = 4; % Passband edges 3 and 4 rad/s
Amin_low = [40]; % 40 dB between 0 and 2 rad/s
Wstep_low = [2];
Amin_high = [35 60]; % 35 dB between 5 and 6 rad/s
% 60 dB from 6 rad/s and higher
Wstep_high = [5 6];
Wi_low = [0.4]; % Initial finite zeros in the lower stopband
Wi_high = [7 8]; % and in the upper stopband
NIN = 1; % One zero at infinity
NZ = 1; % One zero at the origin
[G, Z, P, dopt] = POLE_PLACER_BP_MF_S(Amax, Wc1, Wc2, ...
Amin_low, Amin_high, Wstep_low, Wstep_high, Wi_low, Wi_high, NZ, NIN)
W = (0:1000)*15/1000;
H = PZ_2_FREQ_S(G, Z, P, W);
Att = MAG_2_ATT(H);
subplot('position', [0.08 0.4 0.90 0.5]);

PLOT_ATTENUATION_S(W, Att)
axis([0 15 0 100]); color = [0.7 0.7 0.7]; % Gray
patch([0 Wstep_low(1) Wstep_low(1) 0], [0 0 Amin_low(1) ...
Amin_low(1)], color);
V = axis;

patch([Wstep_high(1)V(2)V(2)Wstep_high(2)Wstep_high(2)...
Wstep_high(1)], [0 0 Amin_high(2) Amin_high(2) Amin_high(1)...
Amin_high(1)], color);
patch([Wc1 Wc2 Wc2 Wc1], [Amax Amax 100 100], color);
