clear all
clc
% Determine poles and zeros for the Cauer lowpass filter
Wc = 1; Ws = 56/40;
Amax = 0.28029; Amin = 40;
N = CA_ORDER(Wc, Ws, Amax, Amin);
N = 5;
[GLP, ZLP, R_ZEROSLP, PLP, Wsnew] = CA_POLES(Wc, Ws, Amax, Amin, N);
W1 = 0; W2 = 1; % Equalization range = passband
Nap = 7; 		% 7th-order allpass filter
[PAP, Wpas] = EQ_TG_LP_S(W1, W2, GLP, ZLP, PLP, Nap);
figure(1)
PLOT_PZ_S(-PAP, PAP, Wc, Ws,-1.5, 0.5, 2.5)
PLOT_PZ_S(ZLP, PLP, Wc, Ws, -1.5, 0.5, 2.5)
TgH = PZ_2_TG_S(GLP, ZLP, PLP, Wpas);
TgAP = PZ_2_TG_S(1, -PAP, PAP, Wpas);
figure(2);
subplot('position', [0.08 0.4 0.90 0.5]);
plot(Wpas, TgAP + TgH, 'linewidth', 2)
hold on; grid on; axis([0, 1, 0, 25]);
plot(Wpas, TgH, 'linewidth', 2)
plot(Wpas, TgAP, 'linewidth', 2)
