% page 98
clear all
clc
Wc = 22000; Ws = 28000;
r = 0.5;
Amax = -10*log10(1-r^2);
Amin = 40;
Rs = 1000; RL = 1000;
N = CA_ORDER(Wc, Ws, Amax, Amin);
Norder = 5; % We select a 5th-order filter
[G, Z, R_ZEROS, P, Wsnew] = CA_POLES(Wc, Ws, Amax, Amin, Norder);
omega = [0:Ws/200:10*Ws];
H = PZ_2_FREQ_S(G, Z, P, omega);
Anorm = MAG_2_ATT(H); 
PLOT_ATTENUATION_S(omega, Anorm); 
Ladder = 1; % 1 for a T ladder and 0 for a   ladder
[L, C, Rs, RL, Wo, K] = CA_LADDER(G, Z, R_ZEROS, P, Wc, Ws, Rs, RL, Ladder);
Z0 = []; T = 0; % Used only for transmission lines
omega = [0:Ws/200:10*Ws];

H = LADDER_2_H(Norder, Z0, L, C, Rs, RL, K, omega, T);
Anorm = MAG_2_ATT(2*H); 	% Normalize attenuation to 0 dB
subplot('position', [0.1 0.4 0.90 0.5]);
PLOT_ATTENUATION_S(omega, Anorm);
 PLOT_LP_SPEC_S(Wc, Ws, Amax, Amin); % Amin = 0 => No stopband spec
axis([0, 2*Ws, 0, 1.5*Amin]);
L'
C'
Wo
zoom on
 
